export const schema = gql`
  type Tag {
    id: Int!
    tag: String!
    color: HexColorCode!
    projects: [Project]!
  }

  type Query {
    tags: [Tag!]! @skipAuth
    tag(id: Int!): Tag @skipAuth
  }

  input CreateTagInput {
    tag: String!
    color: HexColorCode!
  }

  input UpdateTagInput {
    tag: String
    color: HexColorCode
  }

  type Mutation {
    createTag(input: CreateTagInput!): Tag! @requireAuth
    updateTag(id: Int!, input: UpdateTagInput!): Tag! @requireAuth
    deleteTag(id: Int!): Tag! @requireAuth
  }
`
