import type { FastifyReply } from 'fastify'

import { isProduction } from '@redwoodjs/api/logger'

export const setCorsHeaders = (
  res: FastifyReply,
  isPublic: boolean = false
) => {
  res.raw.setHeader(
    'Access-Control-Allow-Origin',
    isPublic
      ? '*'
      : isProduction
        ? process.env.ADDRESS_PROD
        : process.env.ADDRESS_DEV
  )
  res.raw.setHeader(
    'Access-Control-Allow-Methods',
    'GET, POST, OPTIONS, PATCH, HEAD'
  )
  res.raw.setHeader(
    'Access-Control-Allow-Headers',
    'Origin, X-Requested-With, Content-Type, Accept, Authorization, Tus-Resumable, Upload-Length, Upload-Metadata, Upload-Offset'
  )
  res.raw.setHeader('Access-Control-Allow-Credentials', 'true')
  res.raw.setHeader(
    'Access-Control-Expose-Headers',
    'Upload-Offset, Upload-Length, Upload-Metadata, Tus-Version,' +
      'Tus-Resumable, Tus-Max-Size, Tus-Extension, Tus-Checksum-Algorithm'
  )
}
