import { Toaster } from '@redwoodjs/web/toast'
import type { Toast } from '@redwoodjs/web/toast'

import ToastNotification from 'src/components/ToastNotification'

const ToasterWrapper = () => (
  <Toaster
    position="top-right"
    containerClassName="-mr-2 mt-16"
    containerStyle={{
      zIndex: 50, // "z-50" does not work
    }}
    gutter={8}
  >
    {(t: Toast) => (
      <ToastNotification t={t} type={t.type} message={t.message.toString()} />
    )}
  </Toaster>
)

export default ToasterWrapper
