import ThemeToggle from 'src/components/ThemeToggle/ThemeToggle'
import ToasterWrapper from 'src/components/ToasterWrapper/ToasterWrapper'

type AccountbarLayoutProps = {
  title: string
  children?: React.ReactNode
}

const AccountbarLayout = ({ title, children }: AccountbarLayoutProps) => {
  return (
    <>
      <ToasterWrapper />
      <div className="sticky top-0 z-50 p-2">
        <div className="navbar rounded-xl bg-base-300 backdrop-blur bg-opacity-90 shadow-xl">
          <div className="navbar-start">
            <p className="btn btn-ghost font-syne text-xl sm:hidden">{title}</p>
          </div>
          <div className="navbar-center">
            <p className="btn btn-ghost hidden font-syne text-xl sm:flex">
              {title}
            </p>
          </div>
          <div className="navbar-end">
            <ThemeToggle />
          </div>
        </div>
      </div>
      <div className="p-2 font-inter">
        <main>{children}</main>
      </div>
    </>
  )
}

export default AccountbarLayout
